<id>
Audio Player in Profile for YaBB 2.3/2.3.1
</id>

<version>
1.4
</version>

<mod info>
Adds JW Flash Music Player to user profile

History
1.0 - First Virsion for YaBB 2.2.3 by Derek Barnstorm - 15th July 2008
1.1 - Added Enable/Disable in Admin Center - 23rd July 2008
1.2 - Fixed small bug  - If disabled in Admin Center after users had linked to Mp3 the player was still showing - 28th July 2008
1.3 - Removed code from MyCenter.pl. Added German and German_Du language - 16th August 2008
1.4 - Updated for YaBB 2.3 - 16th October 2008

Files to edit
Admin/Modlist.pl 
Admin/NewSettings.pl 
Admin/Settings_Main.pl 
Sources/Profile.pl 
Sources/System.pl
</mod info>

<author>
Derek Barnstorm
</author>

<homepage>
http://www.boardmod.org
</homepage>

<edit file>
Admin/ModList.pl
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
	$audio_mod = "Audio Player in Profile 1.4|Derek Barnstorm|Adds JW Flash Music Player to user profile|1.4|16th October 2008";
	push (@installed_mods, "$audio_mod");
</add before>

<edit file>
Admin/NewSettings.pl
</edit file>

<search for>
\$allowpics = $allowpics;				# set to 1 to allow members to choose avatars in their profile
</search for>

<add before>
\$allowaudio = $allowaudio;			# Set to 1 to allow members to link to an mp3
</add before>

<edit file>
Admin/Settings_Main.pl
</edit file>

<search for>
&LoadLanguage('Register');
</search for>

<add after>
&LoadLanguage('Audio');
</add after>

<search for>
		{
			description => $admin_txt{'746'},
			input_html => qq~<input type="checkbox" name="allowpics" value="1"${ischecked($allowpics)} />~,
			name => 'allowpics',
			validate => 'boolean',
		},
</search for>

<add before>
		{
			description => $audio_txt{'04'},
			input_html => qq~<input type="checkbox" name="allowaudio" value="1"${ischecked($allowaudio)} />~,
			name => 'allowaudio',
			validate => 'boolean',
		},
</add before>

<edit file>
Sources/Profile.pl
</edit file>

<search for>
&LoadLanguage('Profile');
</search for>

<add before>

&LoadLanguage('Audio');
</add before>

<search for>
	if ($extendedprofiles) {
		require "$sourcedir/ExtendedProfiles.pl";
		$showProfile .= &ext_editprofile($user, "edit");
	}
</search for>

<add before>
   if ($allowaudio) {
   $showProfile .= qq~
   <tr class="windowbg">
   <td width="220" align="left"><b>$audio_txt{'01'}: </b><br /><span class="small">$audio_txt{'02'}</span></td>
   <td align="left"><input type="text" maxlength="150" name="audio" size="30" value="${$uid.$user}{'audio'}" /></td>
 </tr>
~;
    }
</add before>

<search for>
		&ToHTML($member{'bday'});
</search for>

<add after>
		&ToHTML($member{'audio'});
</add after>

<search for>
		${$uid.$user}{'bday'} = $member{'bday'};
</search for>

<add after>
		${$uid.$user}{'audio'} = $member{'audio'};
</add after>

<search for>
	my ($pic_row, $buddybutton, $row_addgrp, $row_gender, $row_age, $row_location, $row_icq, $row_aim, $row_yim, $row_msn, $row_gtalk, $row_skype, $row_email, $row_website, $row_signature, $showusertext);
</search for>

<add after>
    my ($row_audio);
</add after>

<search for>
		<a href="${$uid.$user}{'weburl'}" target="_blank">${$uid.$user}{'webtitle'}</a>
		</div>
		~;
	}
</search for>

<add after>
    if (${$uid.$user}{'audio'} && $allowaudio) {
		$row_audio = qq~
	 <tr>
		<td class="catbg" align="left">
		<img src="$imagesdir/profile.gif" alt="" border="0" style="vertical-align: middle;" />&nbsp;
		<span class="text1"><b>$audio_txt{'03'}</b></span>
		</td>
		</tr>
		<tr>
		<td align="center" class="windowbg2">
		<div id="audio" style="width: 100%; padding-top: 5px; padding-bottom: 5px;">
		<script type="text/javascript" src="$yyhtml_root/swfobject.js"></script>
        <script type="text/javascript">
         var s1 = new SWFObject('$yyhtml_root/mediaplayer.swf','player','420','20','9','#ffffff');
         s1.addParam('allowfullscreen','true');
         s1.addParam('allowscriptaccess','always');
         s1.addParam('wmode','opaque');
         s1.addParam('flashvars','file=${$uid.$user}{'audio'}&');
         s1.write('audio');
         </script>
		</div>
	    </td>
	</tr>
	~;
	}
</add after>

<search for>
	<tr>
		<td class="catbg" align="left">
			<img src="$imagesdir/profile.gif" alt="" border="0" style="vertical-align: middle;" />&nbsp;
			<span class="text1"><b>$profile_txt{'819'}</b></span>
</search for>

<add before>
    $row_audio
</add before>

<edit file>
Sources/System.pl
</edit file>

<search for>
	my @tags = qw(password realname email regdate regreason webtitle weburl spamcount spamtime signature postcount position addgroups icq aim yim skype gender usertext userpic regtime location bday timeselect timeoffset timeformat hidemail msn gtalk template language lastonline lastpost lastim im_ignorelist im_popup im_imspop notify_me board_notifications thread_notifications cathide postlayout session sesquest sesanswer favorites dsttimeoffset pageindex lastips onlinealert pmactprev pmmessprev pmviewMess buddylist offlinestatus awaysubj awayreply awayreplysent stealth reversetopic);
</search for>

<add after>
	push (@tags, "audio");
</add after>